PSTEXT(1L)

NAME
pstext - extract the text of a postscript file

SYNOPSIS
pstext [-l] [-v] [-d] [-e] [-n] [-p process] file

DESCRIPTION
This program extracts the text contained in the specified postscript file. Such files are normally produced by other programs. pstext needs to identify how the file was produced in order to successfully extract the text from it. It currently understands files generated by the following programs:

    dvips

    ditroff through psdit

    WordPerfect

    idraw

If file is missing, the standard input is used.

OPTIONS

-v  Print to standard error how the postscript file was derived

-n  Do nothing

-d  Enable debugging. Currently this option has no effect.

-p process
    This option directs pstext to use the specified process to parse the file. Available processes include:

        dvi

        psdit
            ditroff through psdit

        dit ditroff

        troff

        wp  wordperfect

-e  Determines if it can automatically determine the file's type. Returns an exit code of 0 if it can; otherwise it returns 1. -l Lists the name of available processes (those are the names that can be used as arguments to the -p option).

AUTHOR
Panos Tsirigotis, CS dept, University of Colorado, Boulder

BUGS
pstext will extract nothing if it can't determine how the file was generated.